/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id: WillDecodeSecondBinaryDecoder.java 71472 2013-04-08 11:33:13Z supol $
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.coder;

import java.nio.ByteBuffer;

import javax.websocket.DecodeException;

import com.sun.ts.tests.websocket.common.stringbean.StringBean;
import com.sun.ts.tests.websocket.common.stringbean.StringBeanBinaryDecoder;

public class WillDecodeSecondBinaryDecoder extends StringBeanBinaryDecoder {
	@Override
	public StringBean decode(ByteBuffer arg0) throws DecodeException {
		Logger.onCode(getClass());
		return super.decode(arg0);
	};
	
	@Override
	public boolean willDecode(ByteBuffer arg0) {
		Logger.onWillCode(getClass());
		return true;
	}	
}
